Bug 1999179 - Import from git as Serverless Service creates an incomplete BuildConfig (Secret is missing)
Summary: Import from git as Serverless Service creates an incomplete BuildConfig (Secr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 4.9.0
Assignee: Mohammed Saud
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 2000474
TreeView+ depends on / blocked
 
Reported: 2021-08-30 15:48 UTC by Mohammed Saud
Modified: 2021-10-18 17:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 2000474 (view as bug list)
Environment:
Last Closed: 2021-10-18 17:49:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9924 0 None None None 2021-08-30 15:49:09 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:50:08 UTC

Description Mohammed Saud 2021-08-30 15:48:11 UTC
Description of problem:

When the user imports from Git and selects "Serverless Deployment" as resource type, the generated BuildConfig is incomplete and shows a warning alert when on the BuildConfig detail page.

The warning blames a missing Secret "${service-name}-github-webhook-secret"

Everything else (build and service start) works fine.


Prerequisites (if any, like setup, operators/versions):
OpenShift Serverless operator


Steps to Reproduce
1. Open developer perspective, Add page, Import from Git
2. Enter a git URL
3. As resources select "Serverless Deployment"
4. Create
5. Open navigation entry "Builds" and the new created "BuildConfig" (app name)


Actual results:
The BuildConfig detail page shows a warning between the general infos and webhooks.

There is 1 warning alert.
Error: secrets "nodeinfo-serverless-github-webhook-secret" not found

The BuildConfig links two webhooks. The generic webhook is clickable, the GitHub webhook is not clickable.

The YAML tab lists two secrets for triggers. Only one of the both secrets is created.
```
  triggers:
    - type: Generic
      generic:
        secretReference:
          name: nodeinfo-serverless-generic-webhook-secret       # exists
    - type: GitHub
      github:
        secretReference:
          name: nodeinfo-serverless-github-webhook-secret        # does not exist
    - type: ImageChange
      imageChange:
        lastTriggeredImageID: >-
          image-registry.openshift-image-registry.svc:5000/....
```

Expected results:
The BuildConfig should now show a warning that a secret is missing.

Both secrets should be created OR the second trigger should not be created.


Reproducibility (Always/Intermittent/Only Once):
Always


Build Details:
4.9 master (tested with console commit c0ba821c0b385db10107f4413d67abe01f89f0c3)


Additional info:
None

Comment 4 Christoph Jerolimov 2021-09-02 19:45:24 UTC
Verified on 4.9.0-0.nightly-2021-09-01-193941

Comment 7 errata-xmlrpc 2021-10-18 17:49:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.